grk::TileComponentWindowBase< T > Struct Template Reference

`#include <TileComponentWindow.h>`

Inheritance diagram for grk::TileComponentWindowBase< T >:

## Public Member Functions

| TileComponentWindowBase (bool isCompressor, bool lossless, bool wholeTileDecompress, grk_rect32 unreducedTileComp, grk_rect32 reducedTileComp, grk_rect32 unreducedImageCompWindow, uint8_t numresolutions, uint8_t reducedNumResolutions)
virtual | ~TileComponentWindowBase ()
grk_rect32 | bounds () const
| Get bounds of tile component (canvas coordinates) decompress: reduced canvas coordinates of window compress: unreduced canvas coordinates of entire tile.
grk_rect32 | unreducedBounds () const
bool | alloc ()

## Protected Member Functions

bool | useBandWindows () const

## Protected Attributes

std::vector< ResWindow< T > * > | resWindows
grk_rect32 | unreducedBounds_
grk_rect32 | bounds_
std::vector< ResSimple > | resolution_
bool | compress_
bool | wholeTileDecompress_

## Constructor & Destructor Documentation

## TileComponentWindowBase()

template<typename T >

grk::TileComponentWindowBase< T >::TileComponentWindowBase | ( | bool | isCompressor,
|  | bool | lossless,
|  | bool | wholeTileDecompress,
|  | grk_rect32 | unreducedTileComp,
|  | grk_rect32 | reducedTileComp,
|  | grk_rect32 | unreducedImageCompWindow,
|  | uint8_t | numresolutions,
|  | uint8_t | reducedNumResolutions
| ) |  |

inline

References grk::TileComponentWindowBase< T >::bounds_, grk::ResSimple::getBandWindow(), grk::grk_read(), grk::grk_rect< T >::intersection(), grk::TileComponentWindowBase< T >::resolution_, grk::TileComponentWindowBase< T >::resWindows, grk::grk_rect< T >::scaleDownCeilPow2(), grk::TileComponentWindowBase< T >::unreducedBounds_, grk::TileComponentWindowBase< T >::useBandWindows(), and grk::grk_rect< T >::valid().

## ~TileComponentWindowBase()

template<typename T >

virtual grk::TileComponentWindowBase< T >::~TileComponentWindowBase | ( |  | ) |

inline virtual

References grk::grk_read(), and grk::TileComponentWindowBase< T >::resWindows.

## Member Function Documentation

## alloc()

template<typename T >

bool grk::TileComponentWindowBase< T >::alloc | ( |  | ) |

inline

References grk::TileComponentWindowBase< T >::compress_, grk::grk_read(), and grk::TileComponentWindowBase< T >::resWindows.

## bounds()

template<typename T >

grk_rect32 grk::TileComponentWindowBase< T >::bounds | ( |  | ) | const

inline

Get bounds of tile component (canvas coordinates) decompress: reduced canvas coordinates of window compress: unreduced canvas coordinates of entire tile.

References grk::TileComponentWindowBase< T >::bounds_.

Referenced by grk::TileProcessor::isWholeTileDecompress().

## unreducedBounds()

template<typename T >

grk_rect32 grk::TileComponentWindowBase< T >::unreducedBounds | ( |  | ) | const

inline

References grk::TileComponentWindowBase< T >::unreducedBounds_.

## useBandWindows()

template<typename T >

bool grk::TileComponentWindowBase< T >::useBandWindows | ( |  | ) | const

inline protected

References grk::TileComponentWindowBase< T >::wholeTileDecompress_.

Referenced by grk::TileComponentWindowBase< T >::TileComponentWindowBase().

## Member Data Documentation

## bounds_

template<typename T >

grk_rect32 grk::TileComponentWindowBase< T >::bounds_

protected

Referenced by grk::TileComponentWindowBase< T >::bounds(), and grk::TileComponentWindowBase< T >::TileComponentWindowBase().

## compress_

template<typename T >

bool grk::TileComponentWindowBase< T >::compress_

protected

Referenced by grk::TileComponentWindowBase< T >::alloc(), grk::TileComponentWindow< T >::getBandWindowBufferPaddedREL(), grk::TileComponentWindow< T >::getBandWindowBufferPaddedSimple(), grk::TileComponentWindow< T >::getBandWindowBufferPaddedSimpleF(), and grk::TileComponentWindow< T >::useBufferCoordinatesForCodeblock().

## resolution_

template<typename T >

std::vector<ResSimple> grk::TileComponentWindowBase< T >::resolution_

protected

Referenced by grk::TileComponentWindow< T >::getBandWindowBufferPaddedREL(), grk::TileComponentWindow< T >::getBandWindowBufferPaddedSimple(), grk::TileComponentWindow< T >::getBandWindowBufferPaddedSimpleF(), grk::TileComponentWindow< T >::getResWindowBufferSplitREL(), grk::TileComponentWindowBase< T >::TileComponentWindowBase(), and grk::TileComponentWindow< T >::toRelativeCoordinates().

## resWindows

template<typename T >

std::vector<ResWindow<T>*> grk::TileComponentWindowBase< T >::resWindows

protected

Referenced by grk::TileComponentWindowBase< T >::alloc(), grk::TileComponentWindow< T >::getBandWindowBufferPaddedREL(), grk::TileComponentWindow< T >::getBandWindowBufferPaddedSimple(), grk::TileComponentWindow< T >::getBandWindowBufferPaddedSimpleF(), grk::TileComponentWindow< T >::getBandWindowPadded(), grk::TileComponentWindow< T >::getResWindowBufferHighestREL(), grk::TileComponentWindow< T >::getResWindowBufferREL(), grk::TileComponentWindow< T >::getResWindowBufferSplitREL(), grk::TileComponentWindowBase< T >::TileComponentWindowBase(), and grk::TileComponentWindowBase< T >::~TileComponentWindowBase().

## unreducedBounds_

template<typename T >

grk_rect32 grk::TileComponentWindowBase< T >::unreducedBounds_

protected

Referenced by grk::TileComponentWindowBase< T >::TileComponentWindowBase(), and grk::TileComponentWindowBase< T >::unreducedBounds().

## wholeTileDecompress_

template<typename T >

bool grk::TileComponentWindowBase< T >::wholeTileDecompress_

protected

Referenced by grk::TileComponentWindow< T >::getBandWindowBufferPaddedREL(), grk::TileComponentWindow< T >::getBandWindowBufferPaddedSimple(), grk::TileComponentWindow< T >::getBandWindowBufferPaddedSimpleF(), grk::TileComponentWindowBase< T >::useBandWindows(), and grk::TileComponentWindow< T >::useBufferCoordinatesForCodeblock().

The documentation for this struct was generated from the following files:

- ResWindow.h
- TileComponentWindow.h